package com.bytedance.android.livesdk.livesetting.performance;

import X.C1272ToW;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_fluency_support_sample")
public final class LiveFluencySupportSampleSetting {
    @Group(isDefault = true, value = "default group")
    public static final C1272ToW DEFAULT;
    public static final LiveFluencySupportSampleSetting INSTANCE = new LiveFluencySupportSampleSetting();
    public static C1272ToW liveFluencySupportSample;

    public final boolean isAudienceLinkPeriodEnable() {
        return liveFluencySupportSample.LJIIIIZZ;
    }

    public final boolean isBroadcastEnterEnable() {
        return liveFluencySupportSample.LIZLLL;
    }

    public final boolean isBroadcastLinkPeriodEnable() {
        return liveFluencySupportSample.LJII;
    }

    public final boolean isBroadcastPeriodEnable() {
        return liveFluencySupportSample.LJII;
    }

    public final boolean isGiftPlayEnable() {
        return liveFluencySupportSample.LJIIJ;
    }

    public final boolean isPanelBeautySlideEnable() {
        return liveFluencySupportSample.LJIILL;
    }

    public final boolean isPanelBroadcastLinkSlideEnable() {
        return liveFluencySupportSample.LJIILIIL;
    }

    public final boolean isPanelFilterSlideEnable() {
        return liveFluencySupportSample.LJIILLIIL;
    }

    public final boolean isPanelGiftSlideEnable() {
        return liveFluencySupportSample.LJIIJJI;
    }

    public final boolean isPanelHourlyRankSlideEnable() {
        return liveFluencySupportSample.LJIIL;
    }

    public final boolean isPanelPublicScreenSlideEnable() {
        return liveFluencySupportSample.LJIILJJIL;
    }

    public final boolean isPanelSoundSlideEnable() {
        return liveFluencySupportSample.LJIJ;
    }

    public final boolean isPanelStickerSlideEnable() {
        return liveFluencySupportSample.LJIIZILJ;
    }

    public final boolean isPkPeriodEnable() {
        return liveFluencySupportSample.LJIIIZ;
    }

    public final boolean isPreviewEnterEnable() {
        return liveFluencySupportSample.LJFF;
    }

    public final boolean isPreviewPeriodEnable() {
        return liveFluencySupportSample.LJI;
    }

    public final boolean isWatchEnterEnable() {
        return liveFluencySupportSample.LIZ;
    }

    public final boolean isWatchPeriodEnable() {
        return liveFluencySupportSample.LIZJ;
    }

    public final boolean isWatchSlideEnable() {
        return liveFluencySupportSample.LIZIZ;
    }

    static {
        Covode.recordClassIndex(18148);
        C1272ToW toW = new C1272ToW((byte) 0);
        DEFAULT = toW;
        C1272ToW toW2 = (C1272ToW) SettingsManager.INSTANCE.getValueSafely(LiveFluencySupportSampleSetting.class);
        if (toW2 != null) {
            toW = toW2;
        }
        liveFluencySupportSample = toW;
    }
}
